# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(LWP/Simple.pm) perl(Mojolicious.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Web-SIVA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.6
Release: alt1
Summary: Scrapes information from the Air Quality web in Andalucia, Spain http://www.juntadeandalucia.es/med...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMERELO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
[![Build Status](https://travis-ci.org/JJ/perl5-web-siva.svg?branch=master)](https://travis-ci.org/JJ/perl5-web-siva)

`Web::SIVA` Perl module for scraping air quality web in Andalucada,
Spain. It extracts quantitative data
from
[this web](http://www.juntadeandalucia.es/medioambiente/site/portalweb/menuitem.7e1cf46ddf59bb227a9ebe205510e1ca/?vgnextoid=7e612e07c3dc4010VgnVCM1000000624e50aRCRD&vgnextchannel=3b43de552afae310VgnVCM2000000624e50aRCRD) and
returns it in a reasonable format. Some data from Granada has been
uploaded to [FigShare](https://figshare.com/articles/Air_quality_data_Granada_1998-_March_2017/4724839)


## INSTALLATION

To install this module, run the following commands:

_perl Makefile.PL
_make
_make test
_make install

If there are some dependencies missing,

_cpanm --installdeps .
_
You should do it anyway, just in case. 

## DEPENDENCIES

`Mojo::DOM` for scraping, `LWP::Simple` for downloading 



## COPYRIGHT AND LICENCE

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/W*

%changelog
* Fri Dec 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1
- initial import by package builder

